NX Open C++ Reference Guide
|
Represents a Tooling::BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small. More...
Public Types | |
enum | InputCurvesOption { InputCurvesOptionKeep, InputCurvesOptionHide, InputCurvesOptionDelete } |
The input curves option to keep, hide or delete input curves. More... | |
Public Member Functions | |
NXOpen::ScCollector * | CornerFillet () |
Returns the corners to blend. | |
std::vector< NXOpen::Curve * > | CreateBlendCurves () |
Creates the blend curves for preview. | |
NXOpen::ScCollector * | CurveBlend () |
Returns the curves to blend. | |
void | DeleteBlendCurves (const std::vector< NXOpen::Curve * > &blendCurves) |
Delete the preview blend curves. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption | InputCurves () |
Returns the input curves Created in NX9.0.0. | |
double | MinimalRadius () |
Returns the minimal radius of the corner to blend. | |
NXOpen::Direction * | ReferenceDirection () |
Returns the reference direction from which to get the curve blend side. | |
bool | ReverseSide () |
Returns the flag of reverse curve blend side. | |
void | SaveFilletCurves () |
Save the corner fillet curves. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetInputCurves (NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption inputCurves) |
Sets the input curves Created in NX9.0.0. | |
void | SetMinimalRadius (double minimalRadius) |
Sets the minimal radius of the corner to blend. | |
void | SetReferenceDirection (NXOpen::Direction *referenceDirection) |
Sets the reference direction from which to get the curve blend side. | |
void | SetReverseSide (bool reverseSide) |
Sets the flag of reverse curve blend side. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small.
This builder's Commit generally can produce only one (sometimes more than one) new blended curve, the GetCommittedObjects can be used to get the objects. The input curves will be deleted.
To create a new instance of this class, use Tooling::CAMDataManager::CreateBlendCurve3dBuilder
Default values.
Property | Value |
---|---|
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
InputCurves |
Hide |
MinimalRadius |
10 (millimeters part), 0.4 (inches part) |
Created in NX9.0.0.
NXOpen::ScCollector* NXOpen::Tooling::BlendCurve3DBuilder::CornerFillet | ( | ) |
Returns the corners to blend.
Created in NX9.0.0.
License requirements : None
std::vector<NXOpen::Curve *> NXOpen::Tooling::BlendCurve3DBuilder::CreateBlendCurves | ( | ) |
Creates the blend curves for preview.
NXOpen::ScCollector* NXOpen::Tooling::BlendCurve3DBuilder::CurveBlend | ( | ) |
Returns the curves to blend.
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::BlendCurve3DBuilder::DeleteBlendCurves | ( | const std::vector< NXOpen::Curve * > & | blendCurves | ) |
Delete the preview blend curves.
Created in NX9.0.0.
License requirements : None
blendCurves | blendcurves |
double NXOpen::Tooling::BlendCurve3DBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX9.0.0.
License requirements : None
NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption NXOpen::Tooling::BlendCurve3DBuilder::InputCurves | ( | ) |
Returns the input curves
Created in NX9.0.0.
License requirements : None
double NXOpen::Tooling::BlendCurve3DBuilder::MinimalRadius | ( | ) |
Returns the minimal radius of the corner to blend.
Created in NX9.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::BlendCurve3DBuilder::ReferenceDirection | ( | ) |
Returns the reference direction from which to get the curve blend side.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::BlendCurve3DBuilder::ReverseSide | ( | ) |
Returns the flag of reverse curve blend side.
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::BlendCurve3DBuilder::SaveFilletCurves | ( | ) |
Save the corner fillet curves.
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::BlendCurve3DBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
distanceTolerance | distancetolerance |
void NXOpen::Tooling::BlendCurve3DBuilder::SetInputCurves | ( | NXOpen::Tooling::BlendCurve3DBuilder::InputCurvesOption | inputCurves | ) |
Sets the input curves
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
inputCurves | inputcurves |
void NXOpen::Tooling::BlendCurve3DBuilder::SetMinimalRadius | ( | double | minimalRadius | ) |
Sets the minimal radius of the corner to blend.
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
minimalRadius | minimalradius |
void NXOpen::Tooling::BlendCurve3DBuilder::SetReferenceDirection | ( | NXOpen::Direction * | referenceDirection | ) |
Sets the reference direction from which to get the curve blend side.
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
referenceDirection | referencedirection |
void NXOpen::Tooling::BlendCurve3DBuilder::SetReverseSide | ( | bool | reverseSide | ) |
Sets the flag of reverse curve blend side.
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
reverseSide | reverseside |